<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::AnimationStateSet Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1AnimationStateSet.html">Ogre::AnimationStateSet</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationStateSet.html#a8c6dd75b3600a357c0a4d64150817b2">_notifyAnimationStateEnabled</a>(AnimationState *target, bool enabled)</td><td><a class="el" href="classOgre_1_1AnimationStateSet.html">Ogre::AnimationStateSet</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationStateSet.html#66f959e4399f4f2d66239fadc1382503">_notifyDirty</a>(void)</td><td><a class="el" href="classOgre_1_1AnimationStateSet.html">Ogre::AnimationStateSet</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationStateSet.html#0b1638f246d879e338cfe96d54e96d70">AnimationStateSet</a>()</td><td><a class="el" href="classOgre_1_1AnimationStateSet.html">Ogre::AnimationStateSet</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationStateSet.html#146fea0c5c0ccca83e70e9b0de2c5291">AnimationStateSet</a>(const AnimationStateSet &amp;rhs)</td><td><a class="el" href="classOgre_1_1AnimationStateSet.html">Ogre::AnimationStateSet</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationStateSet.html#52a81d8ca7cf5823e66b62ebeb474439">copyMatchingState</a>(AnimationStateSet *target) const </td><td><a class="el" href="classOgre_1_1AnimationStateSet.html">Ogre::AnimationStateSet</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationStateSet.html#d8aa2b6241e2e6c1298055a48e3f600b">createAnimationState</a>(const String &amp;animName, Real timePos, Real length, Real weight=1.0, bool enabled=false)</td><td><a class="el" href="classOgre_1_1AnimationStateSet.html">Ogre::AnimationStateSet</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationStateSet.html#9eb5fb41650e284a9e85865547cc102a">getAnimationState</a>(const String &amp;name) const </td><td><a class="el" href="classOgre_1_1AnimationStateSet.html">Ogre::AnimationStateSet</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationStateSet.html#a4ab9e1b440f5d15e91307e01d0b5a72">getAnimationStateIterator</a>(void)</td><td><a class="el" href="classOgre_1_1AnimationStateSet.html">Ogre::AnimationStateSet</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationStateSet.html#1061c346582a2f0b198da77d92b2039f">getAnimationStateIterator</a>(void) const </td><td><a class="el" href="classOgre_1_1AnimationStateSet.html">Ogre::AnimationStateSet</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationStateSet.html#922432730b6857b4e7d658b410d1ca68">getDirtyFrameNumber</a>(void) const </td><td><a class="el" href="classOgre_1_1AnimationStateSet.html">Ogre::AnimationStateSet</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationStateSet.html#3699918c1c9151e232ce4775adaaabe5">getEnabledAnimationStateIterator</a>(void) const </td><td><a class="el" href="classOgre_1_1AnimationStateSet.html">Ogre::AnimationStateSet</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationStateSet.html#38a17537088eb0fd4f8e32c03b6c46de">hasAnimationState</a>(const String &amp;name) const </td><td><a class="el" href="classOgre_1_1AnimationStateSet.html">Ogre::AnimationStateSet</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationStateSet.html#d45ccbbf5fa04e2fc20dd5b7d96e87df">hasEnabledAnimationState</a>(void) const </td><td><a class="el" href="classOgre_1_1AnimationStateSet.html">Ogre::AnimationStateSet</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationStateSet.html#48eed73e9a54596baa542fca3e7b3a9f">mAnimationStates</a></td><td><a class="el" href="classOgre_1_1AnimationStateSet.html">Ogre::AnimationStateSet</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationStateSet.html#5c0d0e57eb7f6fc084e7577681742e01">mDirtyFrameNumber</a></td><td><a class="el" href="classOgre_1_1AnimationStateSet.html">Ogre::AnimationStateSet</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationStateSet.html#25c872cca9cf791a0ccb62feacf63e38">mEnabledAnimationStates</a></td><td><a class="el" href="classOgre_1_1AnimationStateSet.html">Ogre::AnimationStateSet</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationStateSet.html#49af4b5b62648c598fe631fda6984ea4">removeAllAnimationStates</a>(void)</td><td><a class="el" href="classOgre_1_1AnimationStateSet.html">Ogre::AnimationStateSet</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationStateSet.html#3651ad254b49b98e8d590da1bc22735a">removeAnimationState</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1AnimationStateSet.html">Ogre::AnimationStateSet</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationStateSet.html#8b578dae12588b8b82e44af331c88dde">~AnimationStateSet</a>()</td><td><a class="el" href="classOgre_1_1AnimationStateSet.html">Ogre::AnimationStateSet</a></td><td></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:06 2008
</p>
</body>
</html>
